## st 1.0.0

=== DESCRIPTION ===
Package: st
Version: 1.0.0
Date: 2006-31-08
Title: Shrinkage t Statistic
Author: Rainer Opgen-Rhein and Korbinian Strimmer.
Maintainer: Korbinian Strimmer <korbinian.strimmer@lmu.de>
Depends: R (>= 2.0.0), corpcor (>= 1.4.3)
Suggests:
Description: This package implements the "shrinkage t" statistics 
   described in Opgen-Rhein and Strimmer (2006).  It also offers
   a convenient interface to a number of other regularized t-type 
   statistics often used in high-dimensional case-control studies.    
License: GPL version 2 or newer
URL: http://www.strimmerlab.org/software/st/
Packaged: Thu Aug 31 14:40:24 2006; strimmer
