=== debian/control ===
Source: st
Section: x11
Priority: optional
Maintainer: Christian <christian.ratzenhofer@cdnm.at>
Build-Depends: debhelper (>= 8.0.0), libx11-dev, libxft-dev, libfreetype6-dev
Standards-Version: 3.9.3
Homepage: http://st.suckless.org/

Package: stterm
Architecture: any
Depends: xfonts-terminus, ${shlibs:Depends}, ${misc:Depends}
Description: bare bones and simple terminal for windowed system
 Stterm is a bare bones terminal emulator developed with a focus on
 simplicity and clarity as the primary goals. It is very lightweight
 consuming only approximately (2+25 reserved+virtual) MiB memory.
 The suckless software projects philosophy is about keeping things
 simple, minimal and usable.
