## st 1.0.1

=== DESCRIPTION ===
Package: st
Version: 1.0.1
Date: 2007-02-28
Title: Shrinkage t Statistic
Author: Rainer Opgen-Rhein and Korbinian Strimmer.
Maintainer: Korbinian Strimmer <strimmer@uni-leipzig.de>
Depends: R (>= 2.2.1), corpcor (>= 1.4.4)
Suggests: limma, samr
Description: This package implements the "shrinkage t" statistic 
   described in Opgen-Rhein and Strimmer (2007).  It also offers
   a convenient interface to a number of other regularized t-type 
   statistics often used in high-dimensional case-control studies.    
License: GPL version 2 or newer
URL: http://www.strimmerlab.org/software/st/
Packaged: Wed Feb 28 00:01:13 2007; ksold
