## st 1.0.2

=== DESCRIPTION ===
Package: st
Version: 1.0.2
Date: 2007-10-21
Title: Shrinkage t Statistic
Author: Rainer Opgen-Rhein and Korbinian Strimmer.
Maintainer: Korbinian Strimmer <strimmer@uni-leipzig.de>
Depends: R (>= 2.2.1), corpcor (>= 1.4.7), fdrtool (>= 1.2.0)
Suggests: limma, samr
Description: This package implements the "shrinkage t" statistic 
   described in Opgen-Rhein and Strimmer (2007).  It also offers
   a convenient interface to a number of other regularized t-type 
   statistics often used in high-dimensional case-control studies.    
License: GPL (>= 3)
URL: http://www.strimmerlab.org/software/st/
Packaged: Sun Oct 21 15:42:04 2007; strimmer
