## st 1.0.3

=== DESCRIPTION ===
Package: st
Version: 1.0.3
Date: 2008-10-27
Title: Shrinkage t Statistic
Author: Rainer Opgen-Rhein and Korbinian Strimmer.
Maintainer: Korbinian Strimmer <strimmer@uni-leipzig.de>
Depends: R (>= 2.7.0), corpcor (>= 1.4.7), fdrtool (>= 1.2.5)
Suggests: limma, samr
Description: This package implements the "shrinkage t" statistic 
   described in Opgen-Rhein and Strimmer (2007).  It also offers
   a convenient interface to a number of other regularized t-type 
   statistics often used in high-dimensional case-control studies.    
License: GPL (>= 3)
URL: http://strimmerlab.org/software/st/
Packaged: Mon Oct 27 00:07:25 2008; strimmer
