## st 1.1.2

=== DESCRIPTION ===
Package: st
Version: 1.1.2
Date: 2009-04-25
Title: Shrinkage t Statistic and Correlation-Adjusted t Score
Author: Rainer Opgen-Rhein, Verena Zuber, and Korbinian Strimmer.
Maintainer: Korbinian Strimmer <strimmer@uni-leipzig.de>
Depends: R (>= 2.7.0), sda (>= 1.1.0), fdrtool (>= 1.2.5)
Suggests: limma, samr
Description: This package implements the "shrinkage t" statistic
        introduced in Opgen-Rhein and Strimmer (2007) and a shrinkage
        estimate of the "correlation-adjusted t-score" (cat score)
        described in Zuber and Strimmer (2009).  It also offers a
        convenient interface to a number of other regularized
        t-statistics commonly employed in high-dimensional case-control
        studies.
License: GPL (>= 3)
URL: http://strimmerlab.org/software/st/
Packaged: Sat Apr 25 11:09:23 2009; strimmer
Repository: CRAN
Date/Publication: 2009-04-26 15:28:02
