## st 1.1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: st
-Version: 1.1.2
-Date: 2009-04-25
+Version: 1.1.3
+Date: 2009-05-09
 Title: Shrinkage t Statistic and Correlation-Adjusted t Score
 Author: Rainer Opgen-Rhein, Verena Zuber, and Korbinian Strimmer.
 Maintainer: Korbinian Strimmer <strimmer@uni-leipzig.de>
@@ -15,6 +15,6 @@
         studies.
 License: GPL (>= 3)
 URL: http://strimmerlab.org/software/st/
-Packaged: Sat Apr 25 11:09:23 2009; strimmer
+Packaged: Sat May 9 18:25:23 2009; strimmer
 Repository: CRAN
-Date/Publication: 2009-04-26 15:28:02
+Date/Publication: 2009-05-10 18:55:24
