## st 1.1.5

=== DESCRIPTION ===
Package: st
Version: 1.1.5
Date: 2011-06-27
Title: Shrinkage t Statistic and CAT Score
Author: Rainer Opgen-Rhein, Verena Zuber, and Korbinian Strimmer.
Maintainer: Korbinian Strimmer <strimmer@uni-leipzig.de>
Depends: R (>= 2.10.0), sda (>= 1.2.0), fdrtool (>= 1.2.7)
Suggests: limma, samr
Description: This package implements the "shrinkage t" statistic
        introduced in Opgen-Rhein and Strimmer (2007) and a shrinkage
        estimate of the "correlation-adjusted t-score" (CAT score)
        described in Zuber and Strimmer (2009).  It also offers a
        convenient interface to a number of other regularized
        t-statistics commonly employed in high-dimensional case-control
        studies.
License: GPL (>= 3)
URL: http://strimmerlab.org/software/st/
Packaged: 2011-06-28 10:16:34 UTC; strimmer
Repository: CRAN
Date/Publication: 2011-06-28 10:18:33
