## st 1.1.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Package: st
-Version: 1.1.6
-Date: 2011-07-04
+Version: 1.1.7
+Date: 2012-01-22
 Title: Shrinkage t Statistic and CAT Score
 Author: Rainer Opgen-Rhein, Verena Zuber, and Korbinian Strimmer.
 Maintainer: Korbinian Strimmer <strimmer@uni-leipzig.de>
-Depends: R (>= 2.10.0), sda (>= 1.2.0), fdrtool (>= 1.2.7)
+Depends: R (>= 2.10.0), sda (>= 1.2.1), fdrtool (>= 1.2.8)
 Suggests: limma, samr
 Description: This package implements the "shrinkage t" statistic
         introduced in Opgen-Rhein and Strimmer (2007) and a shrinkage
@@ -15,6 +15,6 @@
         studies.
 License: GPL (>= 3)
 URL: http://strimmerlab.org/software/st/
-Packaged: 2011-07-04 13:26:42 UTC; strimmer
+Packaged: 2012-01-22 11:00:36 UTC; strimmer
 Repository: CRAN
-Date/Publication: 2011-07-05 08:44:28
+Date/Publication: 2012-01-22 12:03:14
