## st 1.2.1

=== DESCRIPTION ===
Package: st
Version: 1.2.1
Date: 2013-09-01
Title: Shrinkage t Statistic and CAT Score
Author: Rainer Opgen-Rhein, Verena Zuber, and Korbinian Strimmer.
Maintainer: Korbinian Strimmer <strimmer@uni-leipzig.de>
Depends: R (>= 2.15.1), sda (>= 1.3.1), fdrtool (>= 1.2.10)
Suggests: limma, samr
Description: This package implements the "shrinkage t" statistic 
   introduced in Opgen-Rhein and Strimmer (2007) and a shrinkage estimate
   of the "correlation-adjusted t-score" (CAT score) described in
   Zuber and Strimmer (2009).  It also offers a convenient interface 
   to a number of other regularized t-statistics commonly 
   employed in high-dimensional case-control studies.    
License: GPL (>= 3)
URL: http://strimmerlab.org/software/st/
Packaged: 2013-09-01 08:39:55 UTC; strimmer
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-09-01 10:45:16
