## st 1.2.2

=== DESCRIPTION ===
Package: st
Version: 1.2.2
Date: 2014-04-18
Title: Shrinkage t Statistic and CAT Score
Author: Rainer Opgen-Rhein, Verena Zuber, and Korbinian Strimmer.
Maintainer: Korbinian Strimmer <strimmer@uni-leipzig.de>
Depends: R (>= 2.15.1), sda (>= 1.3.3), fdrtool (>= 1.2.12)
Suggests: limma, samr
Description: This package implements the "shrinkage t" statistic 
   introduced in Opgen-Rhein and Strimmer (2007) and a shrinkage estimate
   of the "correlation-adjusted t-score" (CAT score) described in
   Zuber and Strimmer (2009).  It also offers a convenient interface 
   to a number of other regularized t-statistics commonly 
   employed in high-dimensional case-control studies.    
License: GPL (>= 3)
URL: http://strimmerlab.org/software/st/
Packaged: 2014-04-18 14:39:31 UTC; strimmer
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-04-18 19:43:20
