## st 1.2.5

=== DESCRIPTION ===
Package: st
Version: 1.2.5
Date: 2015-07-08
Title: Shrinkage t Statistic and Correlation-Adjusted t-Score
Author: Rainer Opgen-Rhein, Verena Zuber, and Korbinian Strimmer.
Maintainer: Korbinian Strimmer <strimmerlab@gmail.com>
Depends: R (>= 3.0.2), sda (>= 1.3.7), fdrtool (>= 1.2.15), corpcor (>=
        1.6.8)
Suggests: limma, samr
Imports: graphics, stats
Description: Implements the "shrinkage t" statistic 
   introduced in Opgen-Rhein and Strimmer (2007) and a shrinkage estimate
   of the "correlation-adjusted t-score" (CAT score) described in
   Zuber and Strimmer (2009).  It also offers a convenient interface 
   to a number of other regularized t-statistics commonly 
   employed in high-dimensional case-control studies.    
License: GPL (>= 3)
URL: http://strimmerlab.org/software/st/
Packaged: 2015-07-08 18:42:21 UTC; strimmer
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2015-07-08 22:37:28
