## st 1.2.6

=== DESCRIPTION ===
Package: st
Version: 1.2.6
Date: 2020-09-24
Title: Shrinkage t Statistic and Correlation-Adjusted t-Score
Author: Rainer Opgen-Rhein, Verena Zuber, and Korbinian Strimmer.
Maintainer: Korbinian Strimmer <strimmerlab@gmail.com>
Depends: R (>= 3.0.2), sda (>= 1.3.7), fdrtool (>= 1.2.15), corpcor (>=
        1.6.9)
Imports: graphics, stats
Suggests: limma, samr
Description: Implements the "shrinkage t" statistic 
   introduced in Opgen-Rhein and Strimmer (2007) <DOI:10.2202/1544-6115.1252> and 
   a shrinkage estimate of the "correlation-adjusted t-score" (CAT score) described 
   in Zuber and Strimmer (2009) <DOI:10.1093/bioinformatics/btp460>.  
   It also offers a convenient interface  to a number of other regularized 
   t-statistics commonly employed in high-dimensional case-control studies.    
License: GPL (>= 3)
URL: http://www.strimmerlab.org/software/st/
Packaged: 2020-09-24 09:21:16 UTC; strimmer
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2020-09-24 12:00:03 UTC
