## st 1.2.7

=== DESCRIPTION ===
Package: st
Version: 1.2.7
Date: 2021-11-26
Title: Shrinkage t Statistic and Correlation-Adjusted t-Score
Author: Rainer Opgen-Rhein, Verena Zuber, and Korbinian Strimmer.
Maintainer: Korbinian Strimmer <strimmerlab@gmail.com>
Depends: R (>= 3.0.2), sda (>= 1.3.8), fdrtool (>= 1.2.17), corpcor (>=
        1.6.10)
Imports: graphics, stats
Suggests: limma, samr
Description: Implements the "shrinkage t" statistic 
   introduced in Opgen-Rhein and Strimmer (2007) <DOI:10.2202/1544-6115.1252> and 
   a shrinkage estimate of the "correlation-adjusted t-score" (CAT score) described 
   in Zuber and Strimmer (2009) <DOI:10.1093/bioinformatics/btp460>.  
   It also offers a convenient interface  to a number of other regularized 
   t-statistics commonly employed in high-dimensional case-control studies.    
License: GPL (>= 3)
URL: https://strimmerlab.github.io/software/st/
NeedsCompilation: no
Packaged: 2021-11-26 14:11:03 UTC; strimmer
Repository: CRAN
Date/Publication: 2021-11-27 06:00:02 UTC
