=== examples/Makefile ===
--- 
+++ 
@@ -38,9 +38,11 @@
 # IRIX_64
 # LINUX
 # LINUX_IA64
+# NETBSD
 # OPENBSD
 # OSF1
 # SOLARIS
+# SOLARIS_64
 
 ##########################
 
@@ -80,7 +82,7 @@
 LIBRESOLV   = -lresolv
 endif
 
-ifeq ($(OS), SOLARIS)
+ifeq (SOLARIS, $(findstring SOLARIS, $(OS)))
 LIBRESOLV   = -lresolv
 EXTRALIBS   = -lsocket -lnsl
 endif
